{
    "dependencies": {
        "@angular/animations": "^20.3.19",
        "@angular/common": "^20.3.19",
        "@angular/compiler": "^20.3.19",
        "@angular/core": "^20.3.19",
        "@angular/forms": "^20.3.19",
        "@angular/platform-browser": "^20.3.19",
        "@angular/platform-browser-dynamic": "^20.3.19",
        "@angular/router": "^20.3.19",
        "@angular/service-worker": "^20.3.19",
        "@primeng/themes": "^20.4.0",
        "@primeuix/themes": "^1.2.5",
        "@tailwindcss/postcss": "^4.2.3",
        "@zoomit/dayjs-jalali-plugin": "^0.1.11",
        "chart.js": "4.4.2",
        "dayjs": "^1.11.20",
        "flatpickr": "^4.6.13",
        "flatpickr-wrap": "^1.0.0",
        "jalaliday": "^3.1.1",
        "jest-editor-support": "32.0.0-beta.1",
        "ngx-cookie-service": "^21.3.1",
        "primeclt": "^0.1.5",
        "primeicons": "^7.0.0",
        "primeng": "^20.4.0",
        "run-script-os": "^1.1.6",
        "rxjs": "~7.8.2",
        "tailwindcss-primeui": "^0.6.1",
        "tslib": "^2.8.1"
    },
    "devDependencies": {
        "@angular-devkit/build-angular": "^20.3.24",
        "@angular/build": "^20.3.24",
        "@angular/cli": "^20.3.24",
        "@angular/compiler-cli": "^20.3.19",
        "@types/jasmine": "~5.1.15",
        "autoprefixer": "^10.5.0",
        "eslint": "^9.39.4",
        "eslint-config-prettier": "^10.1.8",
        "eslint-plugin-import": "^2.32.0",
        "eslint-plugin-prefer-arrow": "^1.2.3",
        "eslint-plugin-prettier": "^5.5.5",
        "jasmine-core": "~5.8.0",
        "karma": "~6.4.4",
        "karma-chrome-launcher": "~3.2.0",
        "karma-coverage": "~2.2.1",
        "karma-jasmine": "~5.1.0",
        "karma-jasmine-html-reporter": "~2.1.0",
        "madge": "^8.0.0",
        "postcss": "^8.5.10",
        "prettier": "^3.8.3",
        "prettier-plugin-organize-imports": "^4.3.0",
        "prettier-plugin-tailwindcss": "^0.7.2",
        "tailwindcss": "^4.2.3",
        "typescript": "~5.8.3"
    },
    "name": "psp_panel",
    "prettier": {
        "overrides": [
            {
                "files": "*.html",
                "options": {
                    "parser": "angular"
                }
            }
        ]
    },
    "private": true,
    "scripts": {
        "build": "ng build",
        "build:tis": "ng build --configuration tis",
        "ng": "ng",
        "prebuild": "node scripts/update-ngsw-appdata.js",
        "prebuild:tis": "node scripts/tis/update-tis-ngsw-appdata.js",
        "prestart": "node aspnetcore-https",
        "start": "run-script-os",
        "start:tis": " ng serve --configuration tis",
        "test": "ng test",
        "watch": "ng build --watch --configuration development"
    },
    "version": "0.0.0"
}
